/****************************************************************************
** Form interface generated from reading ui file '.\ViewWidget.ui'
**
** Created: Do 27. Mai 16:31:53 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.1   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef VIEWWIDGET_H
#define VIEWWIDGET_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class transferFunctionViewer;
class VTKBox;
class gradientFunctionViewer;
class contextOTFunctionViewer;
class QTabWidget;
class QGroupBox;
class QCheckBox;
class QPushButton;
class QLineEdit;
class QLabel;
class QSlider;


//! Class viewWidget
/*!
    Diese Klasse wurde automatisch von Qt erzeugt. Sie geh&ouml;rt zum Hauptfenster des
	Programms.
*/
class viewWidget : public QWidget
{
    Q_OBJECT

public:
    viewWidget( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~viewWidget();

    QTabWidget* tabWidget;
    QWidget* tab;
    QGroupBox* groupBox10;
    QCheckBox* DOF_General;
    QCheckBox* Dith_General;
    QCheckBox* FC_General;
    QCheckBox* ML_General;
    QGroupBox* transFunc;
    transferFunctionViewer* TFPreview;
    QPushButton* openEditorButton;
    QGroupBox* gradientFunction;
    gradientFunctionViewer* gradientViewer;
    QPushButton* saveGFButton;
    QPushButton* loadGFButton;
    QGroupBox* groupBox11;
    QLineEdit* sampleStepSize;
    QLabel* textLabel1_2;
    QCheckBox* perspectiveView;
    QCheckBox* parallelView;
    QGroupBox* controls;
    QLabel* textLabel1;
    QSlider* xSlider;
    QLineEdit* xRotLabel;
    QLabel* textLabel2;
    QSlider* ySlider;
    QLineEdit* yRotLabel;
    QLabel* textLabel3;
    QSlider* zSlider;
    QLineEdit* zRotLabel;
    QLabel* textLabel4;
    QSlider* zoomSlider;
    QLineEdit* zoomLabel;
    QPushButton* backgroundColorButton;
    QPushButton* renderButtonGeneral;
    QWidget* tab_2;
    QGroupBox* groupBox10_2;
    QCheckBox* DOF_DOF;
    QCheckBox* Dith_DOF;
    QCheckBox* FC_DOF;
    QCheckBox* ML_DOF;
    QGroupBox* groupBox9;
    QLabel* textLabel2_2;
    QSlider* lenseSlider;
    QLineEdit* lenseLabel;
    QLabel* textLabel3_2;
    QSlider* samplePointsSlider;
    QLineEdit* samplePointsLabel;
    QCheckBox* randomSamplePoints;
    QPushButton* setFocusButton;
    QPushButton* renderButtonDOF;
    QGroupBox* groupBox6;
    QPushButton* DOFAnimationButton;
    QWidget* TabPage;
    QGroupBox* groupBox10_3;
    QCheckBox* FC_FC;
    QCheckBox* DOF_FC;
    QCheckBox* Dith_FC;
    QCheckBox* ML_FC;
    QGroupBox* groupBox16;
    QPushButton* setFocusContextButton;
    QGroupBox* groupBox13;
    QLabel* textLabel5;
    contextOTFunctionViewer* contextOTFViewer;
    QPushButton* contextColorButton;
    QLineEdit* FC_transferCoefficient;
    QLabel* textLabel1_3;
    QLineEdit* FC_ksc;
    QLabel* textLabel2_3;
    QLineEdit* FC_kss;
    QLabel* textLabel3_3;
    QLineEdit* FC_kse;
    QLabel* textLabel4_2;
    QLineEdit* FC_redOffset;
    QLabel* textLabel1_4;
    QLineEdit* FC_redFactor;
    QLabel* textLabel2_4;
    QPushButton* saveFCButton;
    QPushButton* loadFCButton;
    QPushButton* renderButtonFC;
    QGroupBox* groupBox6_2;
    QPushButton* FCAnimationButton;
    QWidget* TabPage_2;
    QGroupBox* groupBox10_3_2;
    QCheckBox* DOF_Dithering;
    QCheckBox* Dith_Dithering;
    QCheckBox* ML_Dithering;
    QCheckBox* FC_Dithering;
    QGroupBox* groupBox17;
    QLabel* textLabel1_5;
    QSlider* Dith_distanceSlider;
    QLineEdit* Dith_distanceLabel;
    QLabel* textLabel2_5;
    QSlider* Dith_sizeSlider;
    QLineEdit* Dith_sizeLabel;
    QCheckBox* Dith_context;
    QCheckBox* Dith_structure;
    QCheckBox* Dith_second_row;
    QCheckBox* Dith_second_row_structure;
    QPushButton* renderButtonDith;
    QGroupBox* groupBox6_3;
    QPushButton* DithAnimationButton;
    QWidget* TabPage_3;
    QGroupBox* groupBox10_3_2_2;
    QCheckBox* DOF_ML;
    QCheckBox* Dith_ML;
    QCheckBox* ML_ML;
    QCheckBox* FC_ML;
    QGroupBox* groupBox21;
    QPushButton* ML_directionButton;
    QGroupBox* groupBox22;
    QLabel* textLabel3_4;
    QSlider* ML_angleDiffSlider;
    QLineEdit* ML_angleDiffLabel;
    QLabel* textLabel4_3;
    QSlider* ML_transferFSlider;
    QLineEdit* ML_transferFLabel;
    QCheckBox* ML_backsideCB;
    QPushButton* renderButtonML;
    QGroupBox* groupBox6_3_2;
    QPushButton* MLAnimationButton;
    QGroupBox* volumeView;
    VTKBox* VTKview;
    QGroupBox* groupBox5;
    QLabel* fileStatus;
    QLabel* renderStatus;

public slots:
    virtual void openEditor();
    virtual void setFocusButtonPressed();
    virtual void renewValues();
    virtual void resetControlSliders( int, int, int, int );
    virtual void DOFAnimation();
    virtual void setRenderStatus(QString);
    virtual void setFileStatus(QString);
    virtual void parallelViewClicked(bool);
    virtual void perspectiveViewClicked(bool);
    virtual void xRotationChanged(int);
    virtual void yRotationChanged(int);
    virtual void zRotationChanged(int);
    virtual void zoomChanged(int);
    virtual void lenseSliderChanged(int);
    virtual void samplePointsSliderChanged(int);
    virtual void setFocusContextButtonClicked();
    virtual void saveGFButtonClicked();
    virtual void loadGFButtonClicked();
    virtual void saveFCButtonClicked();
    virtual void loadFCButtonClicked();
    virtual void setDOF(bool);
    virtual void setFC(bool);
    virtual void contextColorButtonClicked();
    virtual void renderButtonClicked();
    virtual void FCAnimation();
    virtual void setML(bool);
    virtual void setDith(bool);
    virtual void DithAnimation();
    virtual void MLAnimation();
    virtual void DithDistanceSliderChanged(int);
    virtual void DithSizeSliderChanged(int);
    virtual void DithSecondRowClicked(bool);
    virtual void MLDirectionButtonClicked();
    virtual void MLAngleSliderChanged(int);
    virtual void MLTransferSliderChanged(int);
    virtual void backgroundColorButtonClicked();

protected:
    QHBoxLayout* viewWidgetLayout;
    QVBoxLayout* tabLayout;
    QGridLayout* groupBox10Layout;
    QVBoxLayout* transFuncLayout;
    QVBoxLayout* gradientFunctionLayout;
    QHBoxLayout* layout11;
    QVBoxLayout* groupBox11Layout;
    QHBoxLayout* layout13;
    QHBoxLayout* layout19;
    QVBoxLayout* controlsLayout;
    QHBoxLayout* layout15;
    QHBoxLayout* layout16;
    QHBoxLayout* layout17;
    QHBoxLayout* layout18;
    QVBoxLayout* tabLayout_2;
    QGridLayout* groupBox10_2Layout;
    QVBoxLayout* groupBox9Layout;
    QHBoxLayout* layout20;
    QHBoxLayout* layout21;
    QVBoxLayout* groupBox6Layout;
    QVBoxLayout* TabPageLayout;
    QGridLayout* groupBox10_3Layout;
    QVBoxLayout* groupBox16Layout;
    QVBoxLayout* groupBox13Layout;
    QHBoxLayout* layout13_2;
    QHBoxLayout* layout14;
    QHBoxLayout* layout15_2;
    QHBoxLayout* layout16_2;
    QHBoxLayout* layout16_3;
    QHBoxLayout* layout17_2;
    QHBoxLayout* layout17_3;
    QVBoxLayout* groupBox6_2Layout;
    QVBoxLayout* TabPageLayout_2;
    QGridLayout* groupBox10_3_2Layout;
    QVBoxLayout* groupBox17Layout;
    QHBoxLayout* layout18_2;
    QHBoxLayout* layout19_2;
    QVBoxLayout* groupBox6_3Layout;
    QVBoxLayout* TabPageLayout_3;
    QGridLayout* groupBox10_3_2_2Layout;
    QVBoxLayout* groupBox21Layout;
    QVBoxLayout* groupBox22Layout;
    QHBoxLayout* layout20_2;
    QHBoxLayout* layout21_2;
    QVBoxLayout* groupBox6_3_2Layout;
    QVBoxLayout* layout10;
    QVBoxLayout* volumeViewLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;

};

#endif // VIEWWIDGET_H
