#ifndef GOWRITER_H
#define GOWRITER_H

#include <qstring.h>

#include "vtkPiecewiseFunction.h"


//! Class GOWriter
/*!
    Diese Klasse schreibt die Gradient Opacity Parameter in eine Datei.
*/
class GOWriter
{
  public:
	//! Konstruktor
	/*!
		Setzt den Dateinamen und initialisiert Variablen.
	*/
    GOWriter (QString file);
	//! Destruktor
    ~GOWriter ();
	//! Methode write
	/*!
		Schreibt die Gradienten Transfer Function in eine Datei.
	*/
    bool write (vtkPiecewiseFunction *pwFunc);
    
  private:
    QString filename;
};

#endif